aboutsummaryrefslogtreecommitdiff
path: root/internal
diff options
context:
space:
mode:
authorromkatv <roman.perepelitsa@gmail.com>2019-09-17 22:41:07 +0300
committerromkatv <roman.perepelitsa@gmail.com>2019-09-17 22:41:07 +0300
commitebe6a5198d8bbbb5fbe1b3acef4acf118c8a3c12 (patch)
treecb57be9430a5b70be5a4797dfa207548c80de07c /internal
parent5b293c13a261f514b31dd1a54c8da9bebcc8363c (diff)
survive SH_WORD_SPLIT; fixes #220
Diffstat (limited to 'internal')
-rwxr-xr-xinternal/p10k.zsh10
1 files changed, 5 insertions, 5 deletions
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index 90460f49..f9dd4b02 100755
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -3245,7 +3245,7 @@ _p9k_precmd() {
__p9k_new_pipestatus=($pipestatus)
if ! zle; then
- print -rn ${_p9k_prompt_newline:-}
+ print -rn "${_p9k_prompt_newline:-}"
if (( $+_p9k_real_zle_rprompt_indent )); then
if [[ -n $_p9k_real_zle_rprompt_indent ]]; then
@@ -3263,12 +3263,12 @@ _p9k_precmd() {
(
local p=("${(@)parameters[(I)AWESOME_*|CODEPOINT_*]}")
if (( $#p )); then
- typeset -x -- $p
+ typeset -x -- "$p"
fi
- $__p9k_root_dir/internal/wizard.zsh -d $__p9k_root_dir
+ "$__p9k_root_dir"/internal/wizard.zsh -d "$__p9k_root_dir"
)
- if (( !$? )); then
- source $__p9k_cfg_path
+ if (( ! $? )); then
+ source "$__p9k_cfg_path"
_p9k_must_init
fi
fi